## org.eclipse.jst.jsf.facesconfig.emf
Interface ResourceBundleType

All Known Implementing Classes:
  ResourceBundleTypeImpl

    public interface ResourceBundleType

A representation of the model object 'Resource Bundle Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Base Name`
- `Var`
- `Id`

See Also:
  `FacesConfigPackage.getResourceBundleType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`BaseNameType` `getBaseName()` Returns the value of the 'Base Name' reference
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`VarType` `getVar()` Returns the value of the 'Var' reference
`void` `setBaseName(BaseNameType value)` Sets the value of the '`Base Name`' reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setVar(VarType value)` Sets the value of the '`Var`' reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getResourceBundleType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getResourceBundleType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getResourceBundleType_Icon()`

### getBaseName

    BaseNameType getBaseName()

  Returns the value of the 'Base Name' reference.

  If the meaning of the 'Base Name' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Name' reference.
  See Also:
    `setBaseName(BaseNameType)`, `FacesConfigPackage.getResourceBundleType_BaseName()`

### setBaseName

    void setBaseName(BaseNameType value)

  Sets the value of the '`Base Name`' reference.

  Parameters:
    `value` - the new value of the 'Base Name' reference.
  See Also:
    `getBaseName()`

### getVar

    VarType getVar()

  Returns the value of the 'Var' reference.

  If the meaning of the 'Var' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Var' reference.
  See Also:
    `setVar(VarType)`, `FacesConfigPackage.getResourceBundleType_Var()`

### setVar

    void setVar(VarType value)

  Sets the value of the '`Var`' reference.

  Parameters:
    `value` - the new value of the 'Var' reference.
  See Also:
    `getVar()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getResourceBundleType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`